Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 348344 (CVE-2010-4262) - <media-gfx/xfig-3.2.5b-r1: Stack Overflow via Crafted FIG Files (CVE-2010-4262)
Summary: <media-gfx/xfig-3.2.5b-r1: Stack Overflow via Crafted FIG Files (CVE-2010-4262)
Status: RESOLVED FIXED
Alias: CVE-2010-4262
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B2 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-10 07:12 UTC by Tim Sammut (RETIRED)
Modified: 2013-12-27 17:59 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Sammut (RETIRED) gentoo-dev 2010-12-10 07:12:18 UTC
From $URL:

A stack-based buffer overflow flaw was found in
the way Xfig processed certain FIG images. A remote
attacker could create a FIG image with specially-crafted
color definition, and trick the local, unsuspecting
user into opening it, which could lead to xfig executable
crash or, potentially, arbitrary code execution with
the privileges of the user running the executable.

The Red Hat bug at $URL also contains a patch.
Comment 1 Peter Volkov (RETIRED) gentoo-dev 2010-12-20 17:48:52 UTC
Thank you for report Tim. I've applied patch in 3.2.5b-r1. Arch teams, please stabilize, together with transfig-3.2.5d (xfig depends on transfig and thus it's good idea to stabilize them together).

Target keywords:
media-gfx/transfig-3.2.5d: alpha amd64 ia64 ppc64 sparc x86 hppa ppc
media-gfx/xfig-3.2.5b-r1: alpha amd64 hppa ppc ppc64 sparc x86
Comment 2 Agostino Sarubbo gentoo-dev 2010-12-20 23:30:08 UTC
amd64 ok
Comment 3 Peter Volkov (RETIRED) gentoo-dev 2010-12-21 09:00:58 UTC
amd64 stable. Thank you Agostino.
Comment 4 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2010-12-21 10:17:31 UTC
x86 stable
Comment 5 Tobias Klausmann gentoo-dev 2010-12-21 14:26:14 UTC
Stable on alpha.
Comment 6 Raúl Porcel (RETIRED) gentoo-dev 2010-12-25 16:23:29 UTC
ia64/sparc stable
Comment 7 Jeroen Roovers gentoo-dev 2010-12-25 18:02:37 UTC
Stable for HPPA.
Comment 8 Brent Baude (RETIRED) gentoo-dev 2010-12-27 14:56:35 UTC
ppc64 done
Comment 9 Brent Baude (RETIRED) gentoo-dev 2011-01-09 13:57:45 UTC
ppc done
Comment 10 Tim Sammut (RETIRED) gentoo-dev 2011-01-09 16:41:17 UTC
Thanks, everyone.

GLSA Vote: Yes.
Comment 11 Stefan Behte (RETIRED) gentoo-dev Security 2011-01-21 11:15:51 UTC
CVE-2010-4262 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2010-4262):
  Stack-based buffer overflow in Xfig 3.2.4 and 3.2.5 allows remote
  attackers to cause a denial of service (crash) and possibly execute
  arbitrary code via a FIG image with a crafted color definition.

Comment 12 Stefan Behte (RETIRED) gentoo-dev Security 2011-02-23 22:49:55 UTC
Vote: yes, GLSA request filed. 
Comment 13 GLSAMaker/CVETool Bot gentoo-dev 2013-12-27 17:59:08 UTC
This issue was resolved and addressed in
 GLSA 201312-16 at http://security.gentoo.org/glsa/glsa-201312-16.xml
by GLSA coordinator Sergey Popov (pinkbyte).